Subject: bug#26057: 25.1; 'M-x eshell-source-file' fails

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Jul 2019 14:15:24 +0200

Chunyang Xu <[email-masked]> writes:

> After I open Eshell, the eshell-source-file is available as an
> interactive command and in (info "(eshell) Scripts") it says
>
>   Scripts are invoked from Eshell with ‘source’, or from anywhere in Emacs
>   with ‘eshell-source-file’.
>
> so it looks like to me I can run
>
>   M-x eshell-source-file RET /tmp/foo.esh RET

[...]

> it fails by showing the following in the echo area
>
>   eshell-source-file: No catch for tag: eshell-replace-command, (let

[...]

> I don't really sure about the purpose of making eshell-source-file
> interactive, maybe it is a bug?

It looks like the interactive spec has always been there (at least since
2000), but that function can't possibly work as an interactive command.
So, as you say, I think it's a bug, and I've now removed the interactive
spec from the function on the Emacs trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no